Bug 58556 - Page with ListView or ScrollView not resized properly when using WindowSoftInputModeAdjust.Resize
Summary: Page with ListView or ScrollView not resized properly when using WindowSoftIn...
Status: RESOLVED ANSWERED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.5
Hardware: Macintosh Mac OS
: High normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-08-03 00:44 UTC by Jon Goldberger [MSFT]
Modified: 2017-12-20 00:22 UTC (History)
3 users (show)

Tags: listview, keyboard, platformspecific, android, ac
Is this bug a regression?: ---
Last known good build:


Attachments
Test Project (52.35 KB, application/zip)
2017-08-03 00:44 UTC, Jon Goldberger [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description Jon Goldberger [MSFT] 2017-08-03 00:44:10 UTC
Created attachment 23993 [details]
Test Project

## description

When using the new 

> App.Current.On<Xamarin.Forms.PlatformConfiguration.Android>().UseWindowSoftInputModeAdjust(WindowSoftInputModeAdjust.Resize);

code to set Android to use the AdjustResize option for the SoftInputMode, an initial page with a ScrollView or a ListView is not resized properly if navigated back to from a detail page when the keyboard is showing. 


## Steps to reproduce

1. Open the attached test project

2. Deploy the Android app to an Android emulator or device (tested with a Marshmallow emulator)

3. Select an item from the ListView

4. Click on the Entry at the bottom of the new page. The keyboard will show. Leave it showing. 

5. Click the back arrow on the upper left to go back to the first page. 

6. repeat steps 3-5 (may not be necessary, but on occasion I have had to do this twice to reproduce the issue)

Expected result: ListView will take up full screen and be the same size as it was initially.

Actual result: Bottom part of the ListView is missing. ListView seems to still be resized to allow for the area taken up by the keyboard. 


## Environment

Forms version 2.3.5.256-pre6

=== Visual Studio Enterprise 2017 for Mac ===

Version 7.0.1 (build 24)
Installation UUID: f86726f2-bd5d-4610-867e-44e82f306ca2
Runtime:
	Mono 5.0.1.1 (2017-02/5077205) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 500010001

=== NuGet ===

Version: 4.0.0.2323

=== .NET Core ===

Runtime: /usr/local/share/dotnet/dotnet
SDK: /usr/local/share/dotnet/sdk/1.0.1/Sdks
MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.0.1/lib/mono/msbuild/15.0/bin/Sdks

=== Xamarin.Profiler ===

Version: 1.5.4
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Apple Developer Tools ===

Xcode 8.3.3 (12175.1)
Build 8E3004b

=== Xamarin.Android ===

Version: 7.3.1.2 (Visual Studio Enterprise)
Android SDK: /Users/jongoldberger/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		4.0.3 (API level 15)
		4.1   (API level 16)
		4.2   (API level 17)
		4.3   (API level 18)
		4.4   (API level 19)
		5.0   (API level 21)
		5.1   (API level 22)
		6.0   (API level 23)
		7.0   (API level 24)
		7.1   (API level 25)

SDK Tools Version: 26.0.2
SDK Platform Tools Version: 25.0.5
SDK Build Tools Version: 26.0.0

Java SDK: /usr
java version "1.8.0_91"
Java(TM) SE Runtime Environment (build 1.8.0_91-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.91-b14, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin.iOS ===

Version: 10.10.0.36 (Visual Studio Enterprise)
Hash: d2270eec
Branch: d15-2
Build date: 2017-05-22 16:30:53-0400

=== Xamarin.Mac ===

Version: 3.4.0.36 (Visual Studio Enterprise)

=== Build Information ===

Release ID: 700010024
Git revision: 7ab1ca2ced6f584e56b7a0d4d321d00775cd95c9
Build date: 2017-05-19 05:44:51-04
Xamarin addins: 08d17158f3365beee5e60f67999e607cce4b3f93
Build lane: monodevelop-lion-d15-2

=== Operating System ===

Mac OS X 10.12.6
Darwin 16.7.0 Darwin Kernel Version 16.7.0
    Thu Jun 15 17:36:27 PDT 2017
    root:xnu-3789.70.16~2/RELEASE_X86_64 x86_64
Comment 2 David Ortinau [MSFT] 2017-08-18 13:25:05 UTC
Confirmed here as well. First time it happened immediately. Second run it happened on the second item I chose.

https://www.screencast.com/t/VZqjKU6A
Comment 3 Paul DiPietro [MSFT] 2017-12-20 00:22:08 UTC
https://github.com/xamarin/Xamarin.Forms/issues/1428

Please subscribe to that issue for future updates.